<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<!doctype html>
<html lang="fr_FR" class="no-js fullscreen" ng-app="devApp">
<head>
    <meta charset="utf-8">
    <title>XPath editor</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" />
    <link rel="stylesheet" href="styles/styles.css">
    <style>
        body { background: #CCC; }
    </style>
</head>
<body class="modal-open">

    <div class="modal fade in" role="dialog" id="myModal" tabindex="-1" aria-labelledby="myModalLabel" style="display: block;">
        <div class="modal-dialog modal-lg" role="document" style="width: 90%; max-width:1200px; margin: 15px auto;">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel">Extraction Editor</h4>
                </div>
                <div class="modal-body" style="padding:0">
                    <xpath-editor ng-model="expr" schema="schema" context="context" selector="value"></xpath-editor>
                </div>
                <div class="modal-footer">
                    <div class="pull-left">{{ expr | json }}</div>
                    <button type="button" class="btn btn-primary" onclick="alert(getScope().expr.expr)">Show XPATH</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-backdrop fade in"></div>

    <script type="text/javascript" src="scripts/app.js"></script>
    <script>
        var devApp = angular.module('devApp', ['xpath-editor'])
            .config(function(extractPreviewEndpointProvider) {
                extractPreviewEndpointProvider.setUrl("http://localhost:8042/producer/99/expr-preview");
            })
            .run(function($rootScope, $http) {
//                $rootScope.expr = {
//                    "expr": "tif:Contacts/tif:DetailContact/@libelle",
//                    "type": "xpath"
//                };
//                $rootScope.context = ["tif:Contacts"/*, "tif:Classification", "../dc:description"*/];
                $http.get('schema.json').then(function(response) {
                    $rootScope.schema = response.data;
                });
            });

        function getScope() {
            return angular.element("body").scope();
        }
    </script>
</body>
</html>
